Bug 577540 - sendmail's NM dispatcher script should react to VPN connections
Summary: sendmail's NM dispatcher script should react to VPN connections
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sendmail
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 608165 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-27 21:41 UTC by Michal Schmidt
Modified: 2011-06-13 12:55 UTC (History)
3 users (show)

Fixed In Version: sendmail-8.14.4-12.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-13 12:55:01 UTC
Type: ---


Attachments (Terms of Use)
sendmail.nm-dispatcher handle VPN connections too (542 bytes, patch)
2010-03-27 21:41 UTC, Michal Schmidt
no flags Details | Diff

Description Michal Schmidt 2010-03-27 21:41:30 UTC
Created attachment 403046 [details]
sendmail.nm-dispatcher handle VPN connections too

As a solution to bug 451575 sendmail got a NetworkManager dispatcher script to make sure it resolves DNS names correctly after an interface goes up or down.

It does not work for VPN interfaces created by NetworkManager-openvpn though.

For me it causes a problem because the name of the smarthost I have configured for sendmail resolves to a different IP address when I am connected to VPN, but sendmail does not notice the change.

The attached patch fixes it. For VPN connections NM does not pass "up" and "down" to the dispatcher scripts, but "vpn-up" and "vpn-down" (see: man 8 NetworkManager).

Comment 1 Jaroslav Škarvada 2010-08-25 12:03:00 UTC
Thanks, fixed in sendmail-8.14.4-12.fc15.

Comment 2 Jaroslav Škarvada 2010-09-20 07:59:35 UTC
*** Bug 608165 has been marked as a duplicate of this bug. ***

Comment 3 Michal Schmidt 2010-09-20 12:45:05 UTC
Can the fix please be done also on the F-13 and F-14 branches?

This bug was reported against F-13.
Quoting from http://fedoraproject.org/wiki/BugZappers/BugStatusWorkFlow#CLOSED :

> Note that the resolution must match the release against which the bug
> is filed. A bug reported for a stable release cannot be closed as 'fixed'
> - ERRATA or RAWHIDE - if a fix is shipped only in Rawhide.

Comment 4 Fedora Update System 2010-11-08 14:39:03 UTC
sendmail-8.14.4-6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/sendmail-8.14.4-6.fc13

Comment 5 Fedora Update System 2010-11-08 14:41:02 UTC
sendmail-8.14.4-10.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/sendmail-8.14.4-10.fc14

Comment 6 Fedora Update System 2010-11-08 22:44:39 UTC
sendmail-8.14.4-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sendmail'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/sendmail-8.14.4-6.fc13

Comment 7 Fedora Update System 2010-12-03 20:40:08 UTC
sendmail-8.14.4-10.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Bug Zapper 2011-06-02 15:50:48 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Michal Schmidt 2011-06-13 12:55:01 UTC
I don't have F13 anywhere anymore. It works fine in F14.


Note You need to log in before you can comment on or make changes to this bug.